import { FileDownloader, FileMetadataGetter, FileMetadataSetter, LocalFileResolver, Logger, Transformation } from "upload-plugin-sdk";
import { ArchiveParams } from "./params/Params";
import { DownloadService } from "./DownloadService";
export declare class Archive {
    private readonly downloadService;
    constructor(downloadService: DownloadService);
    archive(transformation: Transformation, params: ArchiveParams, resolve: LocalFileResolver, getMetadata: FileMetadataGetter, setMetadata: FileMetadataSetter, download: FileDownloader, log: Logger): Promise<void>;
    private downloadAdditionalFiles;
    private getDestinationPath;
    private getFileNameFromFilePath;
    private changeOrAddFileExtension;
    private addSuffixUntilUnique;
}
