import { FileMetadataSetter, FunctionInvocationFilePaths, LocalFileResolver, Logger } from "upload-plugin-sdk";
import { ExtractParams } from "./params/Params";
import { FileUtils } from "./common/FileUtils";
import { GeneratorUtils } from "./common/GeneratorUtils";
export declare class Extract {
    private readonly fileUtils;
    private readonly genUtils;
    private readonly lsBatchSize;
    constructor(fileUtils: FileUtils, genUtils: GeneratorUtils);
    extract(params: ExtractParams, resolve: LocalFileResolver, setMetadata: FileMetadataSetter, log: Logger, paths: FunctionInvocationFilePaths): Promise<void>;
}
