export declare class GeneratorUtils {
    chunk<A>(gen: AsyncGenerator<A, void, void>, chunkSize: number): AsyncGenerator<A[], void, void>;
    concat<T>(gen1: AsyncGenerator<T, void, void>, gen2: AsyncGenerator<T, void, void>): AsyncGenerator<T, void, void>;
    map<A, B>(gen: AsyncGenerator<A, void, void>, f: (item: A) => B): AsyncGenerator<B, void, void>;
}
